Bug 6726 - When SMS is enabled the messaging table is misaligned
Summary: When SMS is enabled the messaging table is misaligned
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18692
  Show dependency treegraph
 
Reported: 2011-08-15 22:40 UTC by Nicole C. Engard
Modified: 2017-05-29 14:29 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
extra column (38.71 KB, image/png)
2011-08-15 22:41 UTC, Nicole C. Engard
Details
Proposed fix (1.78 KB, patch)
2011-08-16 12:51 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Fix for Bug 6726 - When SMS is enabled the messaging table is misaligned (1.82 KB, patch)
2011-08-16 20:57 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Follow-up fix for Bug 6726 - When SMS is enabled the messaging table is misaligned (1.56 KB, patch)
2011-08-24 16:09 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-08-15 22:40:46 UTC
See attached. When you have SMS on there is an extra column wihthout checkboxes in the messaging table. 

To test enter any character in the SMSDriver preference and that column will appear.
Comment 1 Nicole C. Engard 2011-08-15 22:41:05 UTC
Created attachment 5024 [details]
extra column
Comment 2 Owen Leonard 2011-08-16 12:51:24 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2011-08-16 20:57:53 UTC
Created attachment 5039 [details] [review]
[SIGNED-OFF] Fix for Bug 6726 - When SMS is enabled the messaging table is misaligned

The SMS section of the template was commented out in the patch
pushed for Bug 5889, 'Allow message names to be translatable'
with the comment 'fixing columns overflow.' That seems to have been
a cosmetic fix for what I can only imagine was a different bug?

Also fixing a T:T variable scope error.

After applying this patch the "SMS" column in the Patron messaging
preferences should appear when the SMSSendDriver preference is not empty.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 4 Nicole C. Engard 2011-08-16 20:58:51 UTC
a follow up is needed because I forgot to report that this is happening in the OPAC as well, but I've signed off on the staff client fix.
Comment 5 Chris Cormack 2011-08-23 03:15:58 UTC
Pushed the patch, resetting patch status as a follow up is needed for the staff client
Comment 6 Nicole C. Engard 2011-08-24 16:09:39 UTC
Created attachment 5118 [details] [review]
[SIGNED-OFF] Follow-up fix for Bug 6726 - When SMS is enabled the messaging table is misaligned

Corresponding fix for the OPAC

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 7 Nicole C. Engard 2011-08-24 16:10:08 UTC
follow up signed off
Comment 8 Ian Walls 2011-08-25 17:24:02 UTC
Simple template-only fixes, easy to read, marking both as Passed QA
Comment 9 Chris Cormack 2011-08-26 03:06:07 UTC
Pushed the follow up, please test
Comment 10 Chris Nighswonger 2011-10-26 18:02:38 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.
Comment 11 Adrien SAURAT 2011-11-15 16:06:48 UTC
Is the table still ok with SMS disabled ?
(when I try, only my Item Checkout and Item Check-in lines look good)